MPD: SampleTraits< SampleFormat::S24_P32 > Struct Template Reference

MPD 0.20.15

Public Types | Static Public Attributes
SampleTraits< SampleFormat::S24_P32 > Struct Template Reference

`#include <Traits.hxx>`

## Public Types
typedef int32_t | value_type
typedef value_type * | pointer_type
typedef const value_type * | const_pointer_type
typedef int_least32_t | sum_type
typedef int_least64_t | long_type

## Static Public Attributes
static constexpr size_t | SAMPLE_SIZE = sizeof(value_type)
static constexpr unsigned | BITS = 24
static constexpr value_type | MIN = -(sum_type(1) << (BITS - 1))
static constexpr value_type | MAX = (sum_type(1) << (BITS - 1)) - 1
static constexpr value_type | SILENCE = 0

## Detailed Description

### template<>
struct SampleTraits< SampleFormat::S24_P32 >

Definition at line 130 of file Traits.hxx.

## Member Typedef Documentation

## ◆ const_pointer_type

typedef const value_type* SampleTraits< SampleFormat::S24_P32 >::const_pointer_type

Definition at line 133 of file Traits.hxx.

## ◆ long_type

typedef int_least64_t SampleTraits< SampleFormat::S24_P32 >::long_type

Definition at line 136 of file Traits.hxx.

## ◆ pointer_type

typedef value_type* SampleTraits< SampleFormat::S24_P32 >::pointer_type

Definition at line 132 of file Traits.hxx.

## ◆ sum_type

typedef int_least32_t SampleTraits< SampleFormat::S24_P32 >::sum_type

Definition at line 135 of file Traits.hxx.

## ◆ value_type

typedef int32_t SampleTraits< SampleFormat::S24_P32 >::value_type

Definition at line 131 of file Traits.hxx.

## Field Documentation

## ◆ BITS

constexpr unsigned SampleTraits< SampleFormat::S24_P32 >::BITS = 24
| static

Definition at line 139 of file Traits.hxx.

## ◆ MAX

constexpr value_type SampleTraits< SampleFormat::S24_P32 >::MAX = (sum_type(1) << (BITS - 1)) - 1
| static

Definition at line 142 of file Traits.hxx.

## ◆ MIN

constexpr value_type SampleTraits< SampleFormat::S24_P32 >::MIN = -(sum_type(1) << (BITS - 1))
| static

Definition at line 141 of file Traits.hxx.

## ◆ SAMPLE_SIZE

constexpr size_t SampleTraits< SampleFormat::S24_P32 >::SAMPLE_SIZE = sizeof(value_type)
| static

Definition at line 138 of file Traits.hxx.

## ◆ SILENCE

constexpr value_type SampleTraits< SampleFormat::S24_P32 >::SILENCE = 0
| static

Definition at line 143 of file Traits.hxx.

The documentation for this struct was generated from the following file:

- pcm/Traits.hxx